msgpack::type::tuple< Types > Class Template Reference

`#include <cpp11_msgpack_tuple_decl.hpp>`

Inheritance diagram for msgpack::type::tuple< Types >:

## Public Types

using | base = std::tuple< Types... >

## Public Member Functions

| tuple (tuple const &)=default
| tuple (tuple &&)=default
template<typename... OtherTypes>
| tuple (OtherTypes &&... other)
template<typename... OtherTypes>
| tuple (tuple< OtherTypes... > const &other)
template<typename... OtherTypes>
| tuple (tuple< OtherTypes... > &&other)
tuple & | operator= (tuple const &)=default
tuple & | operator= (tuple &&)=default
template<typename... OtherTypes>
tuple & | operator= (tuple< OtherTypes... > const &other)
template<typename... OtherTypes>
tuple & | operator= (tuple< OtherTypes... > &&other)
template<std::size_t I>
tuple_element< I, base >::type & | get () &
template<std::size_t I>
tuple_element< I, base >::type const & | get () const &
template<std::size_t I>
tuple_element< I, base >::type && | get () &&
std::size_t | size () const

## Member Typedef Documentation

## base

template<class... Types>

using msgpack::type::tuple< Types >::base = std::tuple<Types...>

## Constructor & Destructor Documentation

## tuple() [1/5]

template<class... Types>

msgpack::type::tuple< Types >::tuple | ( | tuple< Types > const & |  | ) |

default

## tuple() [2/5]

template<class... Types>

msgpack::type::tuple< Types >::tuple | ( | tuple< Types > && |  | ) |

default

## tuple() [3/5]

template<class... Types>
template<typename... OtherTypes>

msgpack::type::tuple< Types >::tuple | ( | OtherTypes &&... | other | ) |

inline

## tuple() [4/5]

template<class... Types>
template<typename... OtherTypes>

msgpack::type::tuple< Types >::tuple | ( | tuple< OtherTypes... > const & | other | ) |

inline

## tuple() [5/5]

template<class... Types>
template<typename... OtherTypes>

msgpack::type::tuple< Types >::tuple | ( | tuple< OtherTypes... > && | other | ) |

inline

References msgpack::type::tuple< Types >::operator=().

## Member Function Documentation

## get() [1/3]

template<class... Types>
template<std::size_t I>

tuple_element<I, base >::type& msgpack::type::tuple< Types >::get | ( |  | ) | &

inline

## get() [2/3]

template<class... Types>
template<std::size_t I>

tuple_element<I, base >::type const& msgpack::type::tuple< Types >::get | ( |  | ) | const &

inline

## get() [3/3]

template<class... Types>
template<std::size_t I>

tuple_element<I, base >::type&& msgpack::type::tuple< Types >::get | ( |  | ) | &&

inline

## operator=() [1/4]

template<class... Types>

tuple& msgpack::type::tuple< Types >::operator= | ( | tuple< Types > const & |  | ) |

default

Referenced by msgpack::type::tuple< Types >::tuple().

## operator=() [2/4]

template<class... Types>

tuple& msgpack::type::tuple< Types >::operator= | ( | tuple< Types > && |  | ) |

default

## operator=() [3/4]

template<class... Types>
template<typename... OtherTypes>

tuple& msgpack::type::tuple< Types >::operator= | ( | tuple< OtherTypes... > const & | other | ) |

inline

## operator=() [4/4]

template<class... Types>
template<typename... OtherTypes>

tuple& msgpack::type::tuple< Types >::operator= | ( | tuple< OtherTypes... > && | other | ) |

inline

## size()

template<class... Types>

std::size_t msgpack::type::tuple< Types >::size | ( |  | ) | const

inline

References msgpack::type::forward_as_tuple(), msgpack::type::make_tuple(), msgpack::type::tie(), and msgpack::type::tuple_cat().

The documentation for this class was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/detail/cpp11_msgpack_tuple_decl.hpp